This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 855917 - Remove the hard-coded host address and use jboss.bind.address value programatically for communications between "designer.war", "jboss-brms.war" and "business-central-server.war"
Remove the hard-coded host address and use jboss.bind.address value programat...
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor), jBPM 5, jBPM Console (Show other bugs)
BRMS 5.3.0.GA
All All
medium Severity medium
: ---
: ---
Assigned To: Tihomir Surdilovic
Radovan Synek
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 11:33 EDT by Musharraf Hussain
Modified: 2015-07-08 13:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Any Operating System which is supported by the JVM where jBPM5 is certified to be run
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3783 Major Open Remove the hard-coded host address and use jboss.bind.address value programatically for communications between "designer... 2014-07-02 03:41:24 EDT

  None (edit)
Description Musharraf Hussain 2012-09-10 11:33:09 EDT
Description of problem:
JBoss Enterprise BRMS Platform 5.3.0 uses REST API for communications between "designer.war", "jboss-brms.war" and "business-central-server.war" . By default this communication relies on the loop-back interface, so, using -b <another-interface> will refuse the connection from a different one than localhost (e.g. I.P. address of your system).
The problem comes when a user starts the server normally (binding to "localhost") and creates some BPMN2 processes from jBPM Process Designer and then restarts the server using "-b <I.P.Address/Hostname>" option, he would be able to see those processes he previously created but their contents would not be available to view/edit. If he has to see the contents of the previously created processes (while server was running on "localhost") he either has to start the server only binding to "localhost" again or need to specify the I.P. Address/Hostname in the following files.

# Edit "deploy/designer.war/profiles/jbpm.xml" and define a proper value for "externalloadurl" tag. The following is the default entry:
    <externalloadurl protocol="http" host="localhost:8080" subdomain="jboss-brms/org.drools.guvnor.Guvnor/oryxeditor" usr="admin" pwd="admin"/>
# The same must be done in "deploy/business-central-server.war/WEB-INF/classes/jbpm.console.properties" as well. The following is the default entry:
jbpm.console.server.host=localhost
jbpm.console.server.port=8080
guvnor.host=localhost:8080
# Also, inside "deploy/jboss-brms.war/WEB-INF/classes/preferences.properties" you need to change the following values.
By default this is what you get:
designer.url=http://localhost:8080
guvnor.url=http://localhost:8080/jboss-brms

- To avoid this manual work why not we remove the hard-coded host address and use jboss.bind.address value programatically so that customers need not to make so many changes while binding the server to I.P. address or host using "-b" option at start-up.


Version-Release number of selected component (if applicable):
- Guvnor 5.3.0
- jBPM Designer version 2.3.0 final

How reproducible:
- Try to start the server with "-b <I.P. Address/Hostname>" option

Steps to Reproduce:
1. Take a fresh installation of JBoss Enterprise BRMS Platform 5.3.0 and start the server binding to "localhost" as it is normally done
2. Create some BPMN2 processes through jBPM Process Designer (from BRM) =
3. Try to start the server again with "-b <I.P. Address/Hostname>" option.
  
Actual results:
- You would find that you are able to see those processes that you created but their contents would not be available to view/edit.
If you have to see the contents of the previously created processes (while server was running on "localhost") you either have to start the server only binding to "localhost" again or need to specify the I.P. Address/Hostname in the files specified above.

Expected results:
- You should have been able to see the process contents which you created while you started the server binding to "localhost" .


Additional info:
Comment 1 Tihomir Surdilovic 2012-09-10 11:36:46 EDT
Jira: https://issues.jboss.org/browse/JBPM-3783

As I mentioned in the Jira, this change would make Designer tied to the JBoss AS. Designer could look up the host and port from the browser, however users would still have to change "drools-guvnor" to "jboss-brms" in some configuration as Designer cannot guess that part. 

Guvnor AFAIK is not able to figure out the host/port from the browser using JS so in that case I am not the expert to know here how that could be made better.

Note You need to log in before you can comment on or make changes to this bug.